<spot-drop-modal
  [opened]="opened"
  (closed)="cancel()"
  alignment="bottom-center"
>
  <input
    type="number"
    slot="trigger"
    class="inline-edit--field op-input"
    [ngModel]="formattedValue"
    (click)="onInputClick($event)"
    (focus)="showDatePickerModal()"
    [id]="handler.htmlId"
  />
  <ng-container slot="body">
    <turbo-frame *ngIf="turboFrameSrc && opened"
                 [src]="turboFrameSrc"
                 opModalWithTurboContent
                 [change]="change"
                 [resource]="resource"
                 (successfulCreate)="handleSuccessfulCreate($event)"
                 (successfulUpdate)="handleSuccessfulUpdate()"
                 (cancel)="cancel()"
                 id="wp-datepicker-dialog--content">
      <op-content-loader viewBox="0 0 100 100">
        <svg:rect x="5" y="5" width="70" height="5" rx="1"/>

        <svg:rect x="80" y="5" width="15" height="5" rx="1"/>

        <svg:rect x="5" y="15" width="90" height="8" rx="1"/>

        <svg:rect x="5" y="30" width="90" height="12" rx="1"/>
      </op-content-loader>
    </turbo-frame>
  </ng-container>
</spot-drop-modal>
